clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
HeaderGuard.cpp File Reference
`#include "HeaderGuard.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Lex/PPCallbacks.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Tooling/Tooling.h"`
`#include "llvm/Support/Path.h"`
Include dependency graph for HeaderGuard.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy

## Functions
static std::string | clang::tidy::cleanPath (StringRef Path)
| canonicalize a path by removing ./ and ../ components. More...

## Variable Documentation

HeaderGuardCheck* Check

Definition at line 278 of file HeaderGuard.cpp.

std::map<SourceLocation, SourceLocation> EndIfs

Definition at line 275 of file HeaderGuard.cpp.

llvm::StringMap<const FileEntry *> Files

Definition at line 272 of file HeaderGuard.cpp.

std::map<const IdentifierInfo *, std::pair<SourceLocation, SourceLocation> > Ifndefs

Definition at line 274 of file HeaderGuard.cpp.

std::vector<std::pair<Token, const MacroInfo *> > Macros

Definition at line 271 of file HeaderGuard.cpp.

Preprocessor* PP

Definition at line 277 of file HeaderGuard.cpp.